#!/usr/bin/perl
# part of the pkt-loss-warning package; A.Daviel, TRIUMF

# Andrew Daviel <advax@triumf.ca> Jan 1997

print "WARN database from pkt-loss-warning.pl\n";
print " - dates when email was sent regarding packet loss to each node\n\n";

unless (dbmopen(%WARN,"warned",0644)) { print STDERR "Couldn't open warned database\n"; }
$date = `date +%j_%H_%M_%S` ; @date = split('_',$date) ;
$date = $date[0] + $date[1]/24 + $date[2]/(24*60) + $date[3]/(24*60*60) ;
$now = sprintf("%9.5f",$date) ;
print "Current Julian date is $now\n\n" ; 
print "Address\t\t\tNotified\thours ago\n\n";

while (($address,$date) = each %WARN ) {
  $ago = $now-$date ; $ago = $ago*24 ; $ago = sprintf("%5.2f",$ago) ;
  print "$address\t\t$date\t$ago\n";
  if ($ago < 0) { push(@deletes,$address) ; }
}
foreach $_ (@deletes) {
  delete($WARN{$_}) ;
}
unless (dbmopen(%NODE,"nodenames",0644)) { print STDERR "Couldn't open nodename database\n"; }
print "\nAddress cache\nName             Address\n";
while (($address,$node) = each %NODE) {
  print "$address  $node\n";
}
